import request from '@/utils/request'
import { getToken } from '@/utils/auth'




// 获取查获接口列表
export function getExamIntro(data) {
  return request({
    url: '/v1/cs/app/eighteen/get_exam_intro',
    method: 'post',
    data: data
  })
}

// 测试接口
export function getExamRecordList(data) {
  return request({
    url: '/v1/cs/manage/exam/list',
    method: 'post',
    data: data
  })
}


// 答题
export function applyExam(data) {

  return request({
    url: '/v1/cs/app/eighteen/get_exam',
    method: 'post',
    data: data,
  })
}

//提交试卷
export function submitExam(data) {
  return request({
    url: '/v1/cs/app/eighteen/submit_exam',
    method: 'post',
    data: data
  })
}

//查询测试记录
export function getExamRecord(data) {
  return request({
    url: '/v1/cs/app/eighteen/get_exam',
    method: 'post',
    data: data
  })
}

//获取答题结果
export function getExam(data) {
  return request({
    url: '/v1/cs/app/eighteen/get_exam_record',
    method: 'post',
    data: data
  })
}

//查询测试记录列表
export function getUserExamRecordList(data) {
  return request({
    url: '/v1/cs/app/eighteen/get_exam_record_list',
    method: 'post',
    data: data
  })
}






